Skip to main content

Get purchase orders for the given organization.

GET 

/partner/v1.0/organizations/:organizationId/purchase-orders

Get purchase orders for the given organization.

Request

Path Parameters

    organizationId stringrequired

    The ID of the organization in the Carbon Trail platform

Query Parameters

    page int32

    Default value: 1

    The page number to retrieve. Defaults to 1.

    pageSize int32

    Default value: 10

    The number of purchase orders to retrieve per page. Defaults to 10.

    $filter string

    An OData $filter expression. Results can be filtered by sku, articleNumber, purchasedOrderNumber, amount, status, location/countryName, or an external ID using externalId/{Name}.

    Example: $filter=sku eq 'SKU-123' and amount gt 0 and externalId/SAP eq 'PO-123'

Responses

OK

Schema

    data object[]nullable

    The list of items for the current page.

    page int32

    The current page number (1-indexed).

    pageSize int32

    The number of items per page.

    totalCount int64

    The total number of items across all pages.

Loading...